=== debian/changelog ===
pyroute2 (0.6.7-4~bpo11+1) bullseye-backports; urgency=medium

  * bullseye-backports Rebuilt for bullseye.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2025 11:07:45 +0000

pyroute2 (0.6.7-4) UNRELEASED; urgency=medium

  * Add fix-pr2modules-to-allow-more-kernel-versions.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2025 11:07:34 +0000

pyroute2 (0.6.7-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Mar 2022 16:01:24 +0100

pyroute2 (0.6.7-2) experimental; urgency=medium

  * Add (= ${binary:Version}) in inter-dependencies of resulting binaries.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Mar 2022 00:20:52 +0100

pyroute2 (0.6.7-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 16:01:48 +0100

pyroute2 (0.6.6-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-conf.py-for-sphinx-4.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 09:22:08 +0100
