=== debian/changelog ===
pyroute2 (0.7.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2022 16:46:52 +0200

pyroute2 (0.7.2-1) experimental; urgency=medium

  * New upstream release.
  * Upstream is back to a single package: Debian has to follow. Remove all
    separate binaries, add breaks+replaces+provides, and fix d/rules.
  * Run tests using nox, remove b-d on nose (Closes: #1018451).
  * Removed fix-upstream-way-to-find-version.patch and replaced it with a hack
    in d/rules.
  * Switch to pybuild and poetry packaging.
  * Add fix-path-to-links.dump.patch.
  * Package CHANGELOG.rst not CHANGELOG.md.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 11:32:52 +0200
