## pyroute2 0.7.3

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,14 @@
 #
 #
 python ?= $(shell util/find_python.sh)
+
+define nox
+	[ -d .venv ] || ${python} -m venv .venv
+	bash -c "source .venv/bin/activate; \
+		python -m pip install --upgrade pip; \
+		python -m pip install nox; \
+		nox $(1)"
+endef
 
 .PHONY: all
 all:
@@ -19,10 +27,11 @@
 
 .PHONY: clean
 clean:
-	@$(MAKE) -C lab clean
-	@$(MAKE) -C docs clean
 	@rm -f lab/*html
 	@rm -f lab/_static/conf.js
+	@rm -rf lab/_build
+	@rm -rf docs/html
+	@rm -rf docs/man
 	@rm -rf dist build MANIFEST
 	@rm -f docs-build.log
 	@rm -rf pyroute2.egg-info
@@ -36,19 +45,19 @@
 
 .PHONY: docs
 docs:
-	@nox -e docs
+	$(call nox,-e docs)
 
 .PHONY: format
 format:
-	@nox -e linter
+	$(call nox,-e linter)
 
 .PHONY: test
 test:
-	@nox
+	$(call nox,)
 
 .PHONY: test-platform
 test-platform:
-	@nox -e test_platform
+	$(call nox,-e test_platform)
 
 .PHONY: upload
 upload: dist
@@ -60,20 +69,20 @@
 
 .PHONY: dist
 dist: setup
-	@nox -e build
+	$(call nox,-e build)
 
 .PHONY: dist-minimal
-dist-minimal:
+dist-minimal: setup
 	mv -f setup.cfg setup.cfg.orig
 	cp setup.minimal.cfg setup.cfg
-	$(MAKE) dist
+	$(call nox,-e build)
 	mv -f setup.cfg.orig setup.cfg
 
 .PHONY: install
-install:
+install: setup
 	$(MAKE) uninstall
 	$(MAKE) clean
-	$(MAKE) dist
+	$(call nox,-e build)
 	${python} -m pip install dist/pyroute2-*whl ${root}
 
 .PHONY: install-minimal
@@ -91,8 +100,4 @@
 
 .PHONY: nox
 nox:
-	${python} -m venv .venv
-	bash -c "source .venv/bin/activate; \
-		python -m pip install --upgrade pip; \
-		python -m pip install nox; \
-		nox -e ${session}"
+	$(call nox,-e ${session})
