=== debian/changelog ===
pyroute2 (0.7.3-4~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 22 Aug 2023 18:14:05 +0000

pyroute2 (0.7.3-4) unstable; urgency=medium

  * Cleans better (Closes: #1048854).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 12:21:24 +0200

pyroute2 (0.7.3-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:01:07 +0200

pyroute2 (0.7.3-2) experimental; urgency=medium

  * Fix VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 17:00:03 +0100

pyroute2 (0.7.3-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sphinx-code-include as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 13:51:13 +0100
