## pyroute2 0.7.7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	bash -c "source .venv/bin/activate; \
 		python -m pip install --upgrade pip; \
 		python -m pip install nox; \
-		nox $(1)"
+		nox $(1) -- '$(subst ",\",${noxconfig})'"
 endef
 
 .PHONY: all
@@ -24,6 +24,13 @@
 	@echo \* install -- install lib into the system or the current virtualenv
 	@echo \* uninstall -- uninstall lib
 	@echo
+
+.PHONY: git-clean
+git-clean:
+	git clean -d -f -x
+	git remote prune origin
+	git branch --merged >/tmp/merged-branches && \
+		vi /tmp/merged-branches && xargs git branch -d </tmp/merged-branches
 
 .PHONY: clean
 clean:
@@ -46,6 +53,10 @@
 .PHONY: docs
 docs:
 	$(call nox,-e docs)
+
+.PHONY: lab
+lab:
+	$(call nox,-e lab)
 
 .PHONY: format
 format:
@@ -73,10 +84,7 @@
 
 .PHONY: dist-minimal
 dist-minimal: setup
-	mv -f setup.cfg setup.cfg.orig
-	cp setup.minimal.cfg setup.cfg
-	$(call nox,-e build)
-	mv -f setup.cfg.orig setup.cfg
+	$(call nox,-e build_minimal)
 
 .PHONY: install
 install: setup
