=== debian/changelog ===
pyroute2 (0.7.7-4) unstable; urgency=medium

  [ Nicolas Schier ]
  * Add test against unknown version
  * Fix pyroute2.__version__ to hold real version number (Closes: #1052606)

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2024 18:25:30 +0100

pyroute2 (0.7.7-3) unstable; urgency=medium

  * Fix VCS URL (Closes: #1052605).

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Feb 2024 21:48:42 +0100

pyroute2 (0.7.7-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:20:24 +0200

pyroute2 (0.7.7-1) experimental; urgency=medium

  * New upstream rlease.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 11:22:42 +0200
