=== debian/tests/control ===
Tests:
 version-is-not-unknown
Restrictions:
 superficial
