## pyroute2 0.7.11

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,7 @@
 python ?= $(shell util/find_python.sh)
 
 define nox
-	[ -d .venv ] || ${python} -m venv .venv
-	bash -c "source .venv/bin/activate; \
-		python -m pip install --upgrade pip; \
-		python -m pip install nox; \
-		nox $(1) -- '$(subst ",\",${noxconfig})'"
+	nox $(1) -- '$(subst ",\",${noxconfig})'
 endef
 
 .PHONY: all
@@ -72,7 +68,7 @@
 
 .PHONY: upload
 upload: dist
-	${python} -m twine upload dist/*
+	$(call nox,-e upload)
 
 .PHONY: setup
 setup:
