=== debian/changelog ===
pyroute2 (0.7.11-0ubuntu2) noble; urgency=medium

  * debian/control: drop Build-Depends-Indep: python3-mitogen
    This allows us to temporarily remove python-mitogen from 
    the archive (LP: #2053266)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 15 Feb 2024 12:14:40 -0500

pyroute2 (0.7.11-0ubuntu1) noble; urgency=medium

  * d/watch: Update to use github+tags for new releases otherwise doc
    build fails.
  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Feb 2024 09:54:26 +0000
