=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	rm -rf build .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
-	rm -f pyroute2/config/version.py
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -26,7 +25,6 @@
 
 override_dh_auto_build:
 	echo $$OSLO_PACKAGE_VERSION > VERSION
-	$(MAKE) VERSION
 	dh_auto_build
 
 override_dh_installchangelogs:
