## pyroute2 0.8.1

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,20 @@
 #
 #
 python ?= $(shell util/find_python.sh)
+platform := $(shell uname -s)
+releaseTag ?= $(shell git describe --tags --abbrev=0)
+releaseDescription := $(shell git tag -l -n1 ${releaseTag} | sed 's/[0-9. ]\+//')
 
 define nox
-	nox $(1) -- '$(subst ",\",${noxconfig})'
+        {\
+		which nox 2>/dev/null || {\
+			${python} -m venv ~/.venv-boot/;\
+			. ~/.venv-boot/bin/activate;\
+			pip install --upgrade pip;\
+			pip install nox;\
+		};\
+		nox $(1) -- '${noxconfig}';\
+	}
 endef
 
 .PHONY: all
@@ -25,8 +36,8 @@
 git-clean:
 	git clean -d -f -x
 	git remote prune origin
-	git branch --merged >/tmp/merged-branches && \
-		vi /tmp/merged-branches && xargs git branch -d </tmp/merged-branches
+	git branch --merged | grep -vE '(^\*| master )' >/tmp/merged-branches && \
+		( xargs git branch -d </tmp/merged-branches ) ||:
 
 .PHONY: clean
 clean:
@@ -60,7 +71,13 @@
 
 .PHONY: test
 test:
+ifeq ($(platform), Linux)
 	$(call nox,)
+else ifeq ($(platform), OpenBSD)
+	$(call nox,-e openbsd)
+else
+	$(info >> Platform not supported)
+endif
 
 .PHONY: test-platform
 test-platform:
@@ -69,6 +86,14 @@
 .PHONY: upload
 upload: dist
 	$(call nox,-e upload)
+
+.PHONY: release
+release: dist
+	gh release create \
+		--verify-tag \
+		--title "${releaseDescription}" \
+		${releaseTag} \
+		./dist/*${releaseTag}*
 
 .PHONY: setup
 setup:
