=== debian/changelog ===
pyroute2 (0.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:50:25 +0200

pyroute2 (0.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Add build-time tests and autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 12:43:02 +0200
