=== debian/rules ===
--- 
+++ 
@@ -13,18 +13,22 @@
 	rm -rf build .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -f pyroute2/config/version.py
+	rm -f test_unit
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "No tests for now..."
 #	ip -json link >$(CURDIR)/tests/test_unit/test_iproute_match/links.dump
-#	set -e ; set -x ; for pyvers in $(PYTHON3S) ; do \
-#		python$$pyvers -m pytest tests/test_unit -v ; \
-#	done
+	ln -s tests/test_unit test_unit
+	set -e ; set -x ; for pyvers in $(PYTHON3S) ; do \
+		python$$pyvers -m pytest tests/test_unit -v ; \
+		python$$pyvers -m pytest tests/test_neutron -v ; \
+	done
 endif
 
 override_dh_auto_build:
 	echo $$OSLO_PACKAGE_VERSION > VERSION
+	$(MAKE) VERSION
 	dh_auto_build
 
 override_dh_installchangelogs:
