=== debian/tests/control ===
Tests:
 version-is-not-unknown
Restrictions:
 superficial

Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root
